// axios
import request from '@/utils/request'
// 获取问卷详情
export function getTestCourseDetail(params) {
  return request({
    url: '/getTestCourseDetail',
    method: 'get',
    params,
    hideloading: false
  })
}

// 上传评测
export function addTestWorks(data) {
  return request({
    url: '/addTestWorks',
    method: 'post',
    data,
    hideloading: false
  })
}

// 保存评测
export function addTestWorks2(data) {
  return request({
    url: '/addTestWorks2',
    method: 'post',
    data,
    hideloading: false
  })
}

// 删除评测问卷作业
export function deleteTestCourseWorks(data) {
  return request({
    url: '/deleteTestCourseWorks',
    method: 'post',
    data,
    hideloading: false
  })
}

// 查询问卷作业
export function selectTestCourseWorks(params) {
  return request({
    url: '/selectTestCourseWorks',
    method: 'get',
    params,
    hideloading: false
  })
}

// getCourseInfoTest
export function getCourseInfoTest(params) {
  return request({
    url: '/getCourseInfoTest',
    method: 'get',
    params,
    hideloading: false
  })
}

// selectTestWorksCid
export function selectTestWorksCid(params) {
  return request({
    url: '/selectTestWorksCid',
    method: 'get',
    params,
    hideloading: false
  })
}

// getTestWorks
export function getTestWorks(params) {
  return request({
    url: '/getTestWorks',
    method: 'get',
    params,
    hideloading: false
  })
}

// getTestWorks2
export function getTestWorks2(params) {
  return request({
    url: '/getTestWorks2',
    method: 'get',
    params,
    hideloading: false
  })
}
